[arch-commits] Commit in python-testfixtures/repos/community-any (PKGBUILD PKGBUILD)
Felix Yan
felixonmars at archlinux.org
Thu May 9 15:08:00 UTC 2019
Date: Thursday, May 9, 2019 @ 15:08:00
Author: felixonmars
Revision: 464613
archrelease: copy trunk to community-any
Added:
python-testfixtures/repos/community-any/PKGBUILD
(from rev 464611, python-testfixtures/trunk/PKGBUILD)
Deleted:
python-testfixtures/repos/community-any/PKGBUILD
----------+
PKGBUILD | 106 ++++++++++++++++++++++++++++++-------------------------------
1 file changed, 53 insertions(+), 53 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2019-05-09 15:07:56 UTC (rev 464612)
+++ PKGBUILD 2019-05-09 15:08:00 UTC (rev 464613)
@@ -1,53 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgbase=python-testfixtures
-pkgname=('python-testfixtures' 'python2-testfixtures')
-pkgver=6.8.1
-pkgrel=1
-pkgdesc="A collection of helpers and mock objects that are useful when writing unit tests or doc tests"
-arch=('any')
-license=('MIT')
-url="https://github.com/Simplistix/testfixtures"
-makedepends=('python-setuptools' 'python2-setuptools')
-checkdepends=('python-pytest-runner' 'python2-pytest-runner' 'python-mock' 'python2-mock'
- 'python-zope-component' 'python2-zope-component' 'python-sybil' 'python2-sybil'
- 'python-pytest-django' 'python2-pytest-django' 'python-django' 'python2-django'
- 'python-twisted' 'python2-twisted')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/Simplistix/testfixtures/archive/$pkgver.tar.gz")
-sha512sums=('1454c4e398f2df777d81969edbf89f89b7c348765a07a572f195bbbc8c2d41c975bb28f2fe38cd164a5f271dcbcd3e316a3a17b54ecbe237296ea28a22890b95')
-
-prepare() {
- cp -a testfixtures-$pkgver{,-py2}
-}
-
-build() {
- cd "$srcdir"/testfixtures-$pkgver
- python setup.py build
-
- cd "$srcdir"/testfixtures-$pkgver-py2
- python2 setup.py build
-}
-
-check() {
- cd "$srcdir"/testfixtures-$pkgver
- python setup.py pytest --addopts "--ignore=build"
-
- cd "$srcdir"/testfixtures-$pkgver-py2
- python2 setup.py pytest --addopts "--ignore=build"
-}
-
-package_python-testfixtures() {
- depends=('python')
-
- cd testfixtures-$pkgver
- python setup.py install --root="$pkgdir" --optimize=1
- install -D -m644 docs/license.txt "$pkgdir"/usr/share/licenses/$pkgname/license.txt
-}
-
-package_python2-testfixtures() {
- depends=('python2')
-
- cd testfixtures-$pkgver-py2
- python2 setup.py install --root="$pkgdir" --optimize=1
- install -D -m644 docs/license.txt "$pkgdir"/usr/share/licenses/$pkgname/license.txt
-}
Copied: python-testfixtures/repos/community-any/PKGBUILD (from rev 464611, python-testfixtures/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2019-05-09 15:08:00 UTC (rev 464613)
@@ -0,0 +1,53 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-testfixtures
+pkgname=('python-testfixtures' 'python2-testfixtures')
+pkgver=6.8.2
+pkgrel=1
+pkgdesc="A collection of helpers and mock objects that are useful when writing unit tests or doc tests"
+arch=('any')
+license=('MIT')
+url="https://github.com/Simplistix/testfixtures"
+makedepends=('python-setuptools' 'python2-setuptools')
+checkdepends=('python-pytest-runner' 'python2-pytest-runner' 'python-mock' 'python2-mock'
+ 'python-zope-component' 'python2-zope-component' 'python-sybil' 'python2-sybil'
+ 'python-pytest-django' 'python2-pytest-django' 'python-django' 'python2-django'
+ 'python-twisted' 'python2-twisted')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/Simplistix/testfixtures/archive/$pkgver.tar.gz")
+sha512sums=('1104dd44f31e00441fc349d0051520824d0221eaf966858c73911dac6554b26ea271da62e360c79e903437118d7ee0025938311971e4e201f892d4e22b2fb627')
+
+prepare() {
+ cp -a testfixtures-$pkgver{,-py2}
+}
+
+build() {
+ cd "$srcdir"/testfixtures-$pkgver
+ python setup.py build
+
+ cd "$srcdir"/testfixtures-$pkgver-py2
+ python2 setup.py build
+}
+
+check() {
+ cd "$srcdir"/testfixtures-$pkgver
+ python setup.py pytest --addopts "--ignore=build" || warning "https://github.com/Simplistix/testfixtures/issues/115"
+
+ cd "$srcdir"/testfixtures-$pkgver-py2
+ python2 setup.py pytest --addopts "--ignore=build"
+}
+
+package_python-testfixtures() {
+ depends=('python')
+
+ cd testfixtures-$pkgver
+ python setup.py install --root="$pkgdir" --optimize=1
+ install -D -m644 docs/license.txt "$pkgdir"/usr/share/licenses/$pkgname/license.txt
+}
+
+package_python2-testfixtures() {
+ depends=('python2')
+
+ cd testfixtures-$pkgver-py2
+ python2 setup.py install --root="$pkgdir" --optimize=1
+ install -D -m644 docs/license.txt "$pkgdir"/usr/share/licenses/$pkgname/license.txt
+}
More information about the arch-commits
mailing list